import { evaluateVisibilityStepCondition as a } from "../evaluateVisibilityStepCondition/index.js";
const n = (t, i, o, e) => {
  if (!i || t >= i.length || t < 0)
    return !1;
  for (let l = t + 1; l < i.length; l++) {
    const r = i[l];
    if (a(r, o || {}, e))
      return !1;
  }
  return !0;
};
export {
  n as isLastVisibleValidStep
};
